curl -X DELETE https://api2.ecomailapp.cz/subscribers/foo@bar.cz/delete \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/delete");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": true
}
Subscribers
Delete subscriber
Permanently delete a subscriber from the database.
DELETE
/
subscribers
/
{email}
/
delete
curl -X DELETE https://api2.ecomailapp.cz/subscribers/foo@bar.cz/delete \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/delete");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": true
}
string
required
Subscriber’s email address.
curl -X DELETE https://api2.ecomailapp.cz/subscribers/foo@bar.cz/delete \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/delete");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": true
}
⌘I